# $Revision: 1.47 $, $Date: 2012/05/27 09:09:07 $
Summary:	Intel IA32 CPU Microcode Utility
Summary(pl.UTF-8):	Aktualizator mikrokodu procesorów Intel IA32
Name:		microcode_ctl
Version:	1.17
Release:	7
Epoch:		1
License:	GPL
Group:		Base
Source0:	http://www.urbanmyth.org/microcode/%{name}-%{version}.tar.gz
# Source0-md5:	98a7f06acef8459c8ef2a1b0fb86a99e
Source1:	%{name}.init
Source2:	%{name}.upstart
URL:		http://www.urbanmyth.org/microcode/
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
Requires:	uname(release) >= 2.6.20
ExclusiveArch:	i686 pentium2 pentium3 pentium4 %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode_ctl utility is a companion to the IA32 microcode driver.
The utility has two uses: a) it decodes and sends new microcode to the
kernel driver to be uploaded to Intel IA32 family processors. (Pentium
Pro, PII, Celeron, PIII, Xeon Pentium 4 etc.) b) it signals the kernel
driver to release any buffers it may hold

The microcode update is volatile and needs to be uploaded on each
system boot i.e. it doesn't reflash your cpu permanently, reboot and
it reverts back to the old microcode.

%description -l pl.UTF-8
Narzędzie będące dodatkiem do sterownika mikrokodu IA32. Program
dekoduje i wysyła nowy mikrokod do jądra systemu w celu załadowania go
do jednego z procesorów rodziny IA32 (Pentium Pro, PII, Celeron, PIII,
Xeon, Pentium 4 itd.). Ponadto wysyłany jest sygnał do jądra by to
zwolniło wszystkie bufory.

Aktualizacja mikrokodu musi być dokonywana po każdym restarcie systemu
tzn. nie jest to trwała aktualizacja. Po restarcie procesor zawiera
stary mikrokod.

%prep
%setup -q

%build
%{__cc} %{rpmldflags} %{rpmcflags} %{rpmcppflags} -Wall \
	microcode_ctl.c -o microcode_ctl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,init},%{_sysconfdir},%{_sbindir},%{_mandir}/man8}
install	-p %{name} $RPM_BUILD_ROOT%{_sbindir}
cp -p %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/init/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc Changelog README
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/init/%{name}.conf
%attr(755,root,root) %{_sbindir}/microcode_ctl
%{_mandir}/man8/microcode_ctl.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: microcode_ctl.spec,v $
Revision 1.47  2012/05/27 09:09:07  arekm
- rel 7; no longer require microcode-data since our data packages use format that's not recognized by microcode_ctl (and is recognized directly by kernel microcode module instead)

Revision 1.46  2011/09/25 10:40:54  glen
- update upstart deps

Revision 1.45  2011/08/13 07:40:10  glen
- release 6

Revision 1.44  2011/08/13 04:59:15  glen
- add upstart script

Revision 1.43  2009/08/17 12:28:10  glen
- use %x8664 macro

Revision 1.42  2009/08/15 18:14:51  arekm
- rel 5; separate microcode file into microcode-data-* package.

Revision 1.41  2009/03/21 21:59:37  glen
- use real microcode data file not 404 html page; rel 4

Revision 1.40  2009/03/21 21:52:51  glen
- microcode.dat contains giberrish!

Revision 1.39  2009/03/09 18:05:52  adamg
- release 3; microcode updated to 20080910

Revision 1.38  2008/04/20 18:33:03  arekm
- rel 2; upgrade microcode data to 20080401

Revision 1.37  2007/05/01 09:13:14  qboosh
- updated to 1.17
- requires Linux 2.6.20+ (acc. to URL)

Revision 1.36  2007/04/01 15:29:51  glen
- Epoch: 1

Revision 1.35  2007/02/18 11:53:02  glen
- uname(release) >= 2.6.17

Revision 1.34  2007/02/18 09:39:04  qboosh
- updated to 1.16

Revision 1.33  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.31  2006/10/06 08:45:59  qboosh
- updated to 1.15 (new microcode from Intel)

Revision 1.30  2006/07/01 14:06:53  qboosh
- updated to 1.14 (new microcode)
- updated EA as Intel x86_64 are supported too

Revision 1.29  2006/03/05 14:19:27  glen
- cosmetics

Revision 1.28  2006/02/05 19:04:18  qboosh
- updated to 1.13 (new microcode from Intel)
- s/PreReq/Requires/, removed i[345]86 from EA

Revision 1.27  2005/09/13 19:52:42  arekm
- up to 1.12

Revision 1.26  2005/03/18 17:30:14  darekr
- noreplace for %config

Revision 1.25  2004/11/02 17:28:16  adamg
- release 2 (with fixed init script)

Revision 1.24  2004/10/31 08:28:57  darekr
- updated to 1.11

Revision 1.23  2004/10/29 13:05:43  wiget
- updated to 1.10

Revision 1.22  2004/09/09 17:45:11  arekm
- updated to 1.09

Revision 1.21  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.20  2004/08/30 21:29:08  qboosh
- updated to 1.08
- added llh patch, don't use kernel headers (not even needed)
- don't build on athlon - would be useless, it's for Intel x86 CPUs only

Revision 1.19  2004/04/09 20:32:59  adamg
- updated to 1.07

Revision 1.18  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.17  2003/05/27 10:49:08  trojan
- added Source-md5

Revision 1.16  2003/05/25 05:50:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/12/07 14:33:27  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.14  2002/11/27 22:06:22  juandon
- new %doc

Revision 1.13  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:13:50  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/09/24 15:15:30  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.10  2001/08/19 20:27:20  saq
- use %_kernelsrcdir

Revision 1.9  2001/07/26 05:42:18  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/06/17 18:26:26  kloczek
- updated to 1.06.

Revision 1.6  2001/05/31 21:51:54  misiek
- updated to 1.05
- fixed init.d script (stop/reload/restart case)

Revision 1.5  2001/04/30 16:05:21  kloczek
- added using %{rpmcflags} macro.

Revision 1.4  2001/02/07 20:56:14  kloczek
- very silly bug @#!% :> s/BuildArch/ExclusiveArch/

Revision 1.3  2001/02/07 20:51:20  kloczek
- s/gcc/%{__cc}/

Revision 1.2  2001/02/07 19:57:11  kloczek
- added rc-scripts to Requires and few cosmetics.

Revision 1.1  2001/02/07 16:49:05  misiek
- IA32 microcode update utility
